Bug 125243 - GNOME Macro (178 Ports)
GNOME Macro (178 Ports)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: araujo
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-03 20:30 UTC by pgollucci
Modified: 2009-02-02 01:40 UTC (History)
1 user (show)

See Also:


Attachments
gnome3.diff (104.59 KB, patch)
2008-07-03 20:30 UTC, pgollucci
no flags Details | Diff
ports.diff (108.13 KB, patch)
2008-08-22 13:12 UTC, pgollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pgollucci 2008-07-03 20:30:10 UTC
- use GNOME macro nearly everywhere
- convert places that still need MASTER_SITE_SUBDIR to use the PORTVERSION replacement magic if possible
Comment 1 Edwin Groothuis freebsd_committer 2008-07-03 22:36:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

raujo is related to this PR
Comment 2 pav freebsd_committer 2008-08-22 08:25:57 UTC
State Changed
From-To: open->feedback

Generating INDEX-7 - please wait.."Makefile", line 14: Unassociated shell command "libsigc/:sf" 
make: fatal errors encountered -- cannot continue 
===> devel/libsigc++ failed 
*** Error code 1
Comment 3 pgollucci 2008-08-22 13:12:10 UTC
Further patching from araujo@ with these comments via e-mail.

Hey Pav,

I remove the gnome-commander2, that was updated some time ago AND the
libsigc++ was fixed.

Patch: http://people.freebsd.org/~araujo/logs/ports.diff

Br,
-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 4 pgollucci freebsd_committer 2008-12-27 17:47:42 UTC
Responsible Changed
From-To: araujo->portmgr

Do either araujo or myself need to do something for this ?
Comment 5 araujo freebsd_committer 2008-12-30 18:14:32 UTC
State Changed
From-To: feedback->open

Feedback received. AND now I waiting slush be finish. 


Comment 6 araujo freebsd_committer 2008-12-30 18:14:32 UTC
Responsible Changed
From-To: portmgr->araujo

Feedback received. AND now I waiting slush be finish.
Comment 7 araujobsdport 2009-01-17 01:34:09 UTC
On Sat, Dec 27, 2008 at 07:10:55PM +0100, Erwin Lansing wrote:
> 
> I have no problem with this change, except it needs to wait until after
> the slush is lifted.  When committed, one, or both, of you should be
> standby to fix potential fallout, so I'd suggest scheduling it at at the
> start of the day and where you have some time available for the
> following few days.  Also, as gnome@ maintains most of the affected
> ports, I'd suggest running it by them, but I don't see a reason why they
> should have a problem with it.  All in all, handle it with care but I
> see no reason for action by portmgr.  Go ahead.


Hy guys,

About this PR ports/125243, I'd like to run this patch into the CLUSTER to
ensure that all are OK before to commit it. I tested this patch, but in
anyway I need a double check.

PATCH: http://people.freebsd.org/~araujo/logs/gnome.diff

I'll need that portmgr approve these modifications.
I waiting a reply, thanks.

Best Regards,
-- 
Marcelo Araujo
araujo@FreeBSD.org
http://www.FreeBSD.org
Never argue with an artist.
Comment 8 pav freebsd_committer 2009-01-17 19:43:57 UTC
Marcelo Araujo pí¹e v pá 16. 01. 2009 v 23:34 -0200:

> About this PR ports/125243, I'd like to run this patch into the CLUSTER to
> ensure that all are OK before to commit it. I tested this patch, but in
> anyway I need a double check.
> 
> PATCH: http://people.freebsd.org/~araujo/logs/gnome.diff


I will run it on pointyhat tomorrow morning (european time). You should
have results back on Monday.

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>
... the obese drugged penguin used by Linux. -- Scott Long
Comment 9 dfilter freebsd_committer 2009-02-02 01:36:30 UTC
araujo      2009-02-02 01:36:16 UTC

  FreeBSD ports repository

  Modified files:
    accessibility/at-poke Makefile 
    accessibility/at-spi Makefile 
    accessibility/atk    Makefile 
    accessibility/dasher Makefile 
    accessibility/gnopernicus Makefile 
    accessibility/gok    Makefile 
    audio/esound         Makefile 
    audio/goobox         Makefile 
    audio/libaudiofile   Makefile 
    audio/rhythmbox      Makefile 
    audio/rhythmbox-devel Makefile 
    databases/gnome-db   Makefile 
    databases/libgda     Makefile 
    databases/libgda2    Makefile 
    databases/libgda3    Makefile 
    databases/libgdamm   Makefile 
    databases/libgnomedb Makefile 
    deskutils/ontv       Makefile 
    deskutils/planner    Makefile 
    devel/ORBit          Makefile 
    devel/bonobo         Makefile 
    devel/bonobo-conf    Makefile 
    devel/gconf          Makefile 
    devel/gconf2         Makefile 
    devel/gconfmm        Makefile 
    devel/gconfmm26      Makefile 
    devel/glade2         Makefile 
    devel/glib12         Makefile 
    devel/gnome-common   Makefile 
    devel/gnome-crash    Makefile 
    devel/gnome-vfs      Makefile 
    devel/gnome-vfs-monikers Makefile 
    devel/gnome-vfs1     Makefile 
    devel/gnome-vfsmm    Makefile 
    devel/gob2           Makefile 
    devel/goffice04      Makefile 
    devel/goffice1       Makefile 
    devel/gtkmozedit     Makefile 
    devel/gtranslator    Makefile 
    devel/libIDL         Makefile 
    devel/libbonobo      Makefile 
    devel/libbonobomm    Makefile 
    devel/libglade       Makefile 
    devel/libglade-java  Makefile 
    devel/libglade2      Makefile 
    devel/libglademm24   Makefile 
    devel/libole2        Makefile 
    devel/libsoup22      Makefile 
    devel/orbitcpp       Makefile 
    devel/present        Makefile 
    devel/py-gobject     Makefile 
    devel/py-orbit       Makefile 
    devel/soup           Makefile 
    editors/mlview       Makefile 
    games/atomix         Makefile 
    games/gnome-games-extra-data Makefile 
    games/gnomechess     Makefile 
    games/gtetrinet      Makefile 
    graphics/dia         Makefile 
    graphics/electriceyes Makefile 
    graphics/f-spot      Makefile 
    graphics/gdk-pixbuf  Makefile 
    graphics/imlib       Makefile 
    graphics/libart_lgpl Makefile 
    graphics/libgnomecanvasmm26 Makefile 
    graphics/librsvg2    Makefile 
    graphics/passepartout Makefile 
    math/gnumeric        Makefile 
    math/guppi           Makefile 
    misc/bigboard        Makefile 
    misc/gnome-mime-data Makefile 
    misc/pybliographer   Makefile 
    misc/quick-lounge-applet Makefile 
    net/desktop-data-model Makefile 
    net/ekiga            Makefile 
    net/gnome-mud        Makefile 
    net/gnome-netstatus  Makefile 
    net/libgnetwork      Makefile 
    net/linc             Makefile 
    net/online-desktop   Makefile 
    net/straw            Makefile 
    net-im/gossip        Makefile 
    net-im/loudmouth     Makefile 
    palm/gnome-pilot     Makefile 
    print/ggv            Makefile 
    print/gnome-cups-manager Makefile 
    print/gnome-print    Makefile 
    print/libgnomecups   Makefile 
    print/libgnomeprint  Makefile 
    print/libgnomeprintmm Makefile 
    security/gnome-gpg   Makefile 
    sysutils/battfink    Makefile 
    sysutils/brasero     Makefile 
    sysutils/gnome-control-center1 Makefile 
    sysutils/pessulus    Makefile 
    textproc/gnome-spell Makefile 
    textproc/gtk-doc     Makefile 
    textproc/libcroco    Makefile 
    textproc/libxml      Makefile 
    textproc/libxml++    Makefile 
    textproc/meld        Makefile 
    textproc/scrollkeeper Makefile 
    textproc/xml-i18n-tools Makefile 
    www/evolution-webcal Makefile 
    www/glibwww          Makefile 
    www/gnome-user-share Makefile 
    www/gnome-web-photo  Makefile 
    www/gtkhtml          Makefile 
    www/gtkhtml3         Makefile 
    www/gtkhtml38        Makefile 
    www/libghttp         Makefile 
    www/libgtkhtml       Makefile 
    x11/gnome-libs       Makefile 
    x11/libgnome         Makefile 
    x11/libgnome-java    Makefile 
    x11/libgnomemm26     Makefile 
    x11/startup-notification Makefile 
    x11-fm/gnome-commander Makefile 
    x11-fm/py-nautilus   Makefile 
    x11-fonts/bitstream-vera Makefile 
    x11-themes/gnome-icons-aqua-fusion Makefile 
    x11-themes/gnome-icons-gentoo-test Makefile 
    x11-themes/gnome-icons-iris Makefile 
    x11-themes/gnome-icons-noia-full Makefile 
    x11-themes/gnome-icons-noia-warm Makefile 
    x11-themes/gnome-icons-refined Makefile 
    x11-themes/gnome-icons-slick Makefile 
    x11-themes/gnome-icons-snow-apple Makefile 
    x11-themes/gnome-icons-stylish Makefile 
    x11-themes/gnome-icons-ximian-south Makefile 
    x11-themes/gtk-engines Makefile 
    x11-themes/gtk-engines2 Makefile 
    x11-toolkits/gal     Makefile 
    x11-toolkits/gal2    Makefile 
    x11-toolkits/gnome-sharp20 Makefile 
    x11-toolkits/gob     Makefile 
    x11-toolkits/gtk12   Makefile 
    x11-toolkits/gtkglarea2 Makefile 
    x11-toolkits/gtkmm12 Makefile 
    x11-toolkits/gtkmm20 Makefile 
    x11-toolkits/gtksourceview Makefile 
    x11-toolkits/gtksourceview2 Makefile 
    x11-toolkits/hippo-canvas Makefile 
    x11-toolkits/libbonoboui Makefile 
    x11-toolkits/libbonobouimm Makefile 
    x11-toolkits/libgnomeprintui Makefile 
    x11-toolkits/libgnomeprintuimm Makefile 
    x11-toolkits/libgnomeui Makefile 
    x11-toolkits/libgnomeuimm26 Makefile 
    x11-toolkits/libpanelappletmm Makefile 
    x11-toolkits/libzvt  Makefile 
    x11-toolkits/pangomm Makefile 
    x11-toolkits/py-gnome Makefile 
    x11-toolkits/py-gnome-desktop Makefile 
    x11-toolkits/py-gnome-extras Makefile 
    x11-toolkits/py-gnome2 Makefile 
    x11-toolkits/py-gtk  Makefile 
    x11-toolkits/py-gtksourceview Makefile 
    x11-toolkits/rep-gtk Makefile 
  Log:
  - Use GNOME macro instead of ${MASTER_SITE_GNOME}, remove
    MASTER_SITE_SUBDIR when possible.
  
  PR:             ports/125243
  Submitted by:   pgollucci
  Reworked by:    myself
  Tested on:      pointyhat exp-run (pav)
  
  Revision  Changes    Path
  1.6       +1 -2      ports/accessibility/at-poke/Makefile
  1.67      +1 -2      ports/accessibility/at-spi/Makefile
  1.56      +1 -2      ports/accessibility/atk/Makefile
  1.46      +1 -2      ports/accessibility/dasher/Makefile
  1.39      +1 -2      ports/accessibility/gnopernicus/Makefile
  1.41      +1 -2      ports/accessibility/gok/Makefile
  1.74      +1 -2      ports/audio/esound/Makefile
  1.33      +1 -2      ports/audio/goobox/Makefile
  1.41      +1 -2      ports/audio/libaudiofile/Makefile
  1.115     +1 -2      ports/audio/rhythmbox-devel/Makefile
  1.111     +1 -2      ports/audio/rhythmbox/Makefile
  1.44      +1 -2      ports/databases/gnome-db/Makefile
  1.44      +1 -2      ports/databases/libgda/Makefile
  1.86      +1 -1      ports/databases/libgda2/Makefile
  1.89      +1 -1      ports/databases/libgda3/Makefile
  1.27      +1 -2      ports/databases/libgdamm/Makefile
  1.56      +1 -2      ports/databases/libgnomedb/Makefile
  1.8       +1 -2      ports/deskutils/ontv/Makefile
  1.50      +1 -2      ports/deskutils/planner/Makefile
  1.86      +1 -2      ports/devel/ORBit/Makefile
  1.32      +1 -2      ports/devel/bonobo-conf/Makefile
  1.75      +1 -2      ports/devel/bonobo/Makefile
  1.57      +1 -1      ports/devel/gconf/Makefile
  1.83      +1 -1      ports/devel/gconf2/Makefile
  1.18      +1 -2      ports/devel/gconfmm/Makefile
  1.30      +1 -2      ports/devel/gconfmm26/Makefile
  1.78      +1 -2      ports/devel/glade2/Makefile
  1.64      +1 -2      ports/devel/glib12/Makefile
  1.24      +1 -2      ports/devel/gnome-common/Makefile
  1.22      +1 -2      ports/devel/gnome-crash/Makefile
  1.5       +1 -2      ports/devel/gnome-vfs-monikers/Makefile
  1.136     +1 -2      ports/devel/gnome-vfs/Makefile
  1.59      +1 -2      ports/devel/gnome-vfs1/Makefile
  1.34      +1 -2      ports/devel/gnome-vfsmm/Makefile
  1.47      +1 -2      ports/devel/gob2/Makefile
  1.25      +1 -2      ports/devel/goffice04/Makefile
  1.17      +1 -2      ports/devel/goffice1/Makefile
  1.15      +1 -2      ports/devel/gtkmozedit/Makefile
  1.58      +1 -2      ports/devel/gtranslator/Makefile
  1.50      +1 -2      ports/devel/libIDL/Makefile
  1.65      +1 -2      ports/devel/libbonobo/Makefile
  1.24      +1 -2      ports/devel/libbonobomm/Makefile
  1.21      +1 -2      ports/devel/libglade-java/Makefile
  1.45      +1 -2      ports/devel/libglade/Makefile
  1.78      +1 -1      ports/devel/libglade2/Makefile
  1.31      +1 -2      ports/devel/libglademm24/Makefile
  1.23      +1 -2      ports/devel/libole2/Makefile
  1.61      +1 -2      ports/devel/libsoup22/Makefile
  1.35      +1 -2      ports/devel/orbitcpp/Makefile
  1.10      +1 -2      ports/devel/present/Makefile
  1.12      +1 -1      ports/devel/py-gobject/Makefile
  1.23      +1 -1      ports/devel/py-orbit/Makefile
  1.22      +1 -2      ports/devel/soup/Makefile
  1.31      +1 -2      ports/editors/mlview/Makefile
  1.32      +1 -2      ports/games/atomix/Makefile
  1.18      +1 -2      ports/games/gnome-games-extra-data/Makefile
  1.22      +1 -1      ports/games/gnomechess/Makefile
  1.47      +1 -2      ports/games/gtetrinet/Makefile
  1.70      +1 -2      ports/graphics/dia/Makefile
  1.42      +1 -1      ports/graphics/electriceyes/Makefile
  1.32      +1 -2      ports/graphics/f-spot/Makefile
  1.54      +1 -1      ports/graphics/gdk-pixbuf/Makefile
  1.104     +1 -2      ports/graphics/imlib/Makefile
  1.42      +1 -2      ports/graphics/libart_lgpl/Makefile
  1.29      +1 -2      ports/graphics/libgnomecanvasmm26/Makefile
  1.71      +1 -1      ports/graphics/librsvg2/Makefile
  1.27      +1 -2      ports/graphics/passepartout/Makefile
  1.146     +1 -2      ports/math/gnumeric/Makefile
  1.38      +1 -1      ports/math/guppi/Makefile
  1.4       +1 -2      ports/misc/bigboard/Makefile
  1.41      +1 -2      ports/misc/gnome-mime-data/Makefile
  1.36      +1 -1      ports/misc/pybliographer/Makefile
  1.29      +1 -2      ports/misc/quick-lounge-applet/Makefile
  1.56      +1 -2      ports/net-im/gossip/Makefile
  1.47      +1 -2      ports/net-im/loudmouth/Makefile
  1.3       +1 -2      ports/net/desktop-data-model/Makefile
  1.80      +1 -2      ports/net/ekiga/Makefile
  1.35      +1 -2      ports/net/gnome-mud/Makefile
  1.33      +1 -2      ports/net/gnome-netstatus/Makefile
  1.26      +1 -2      ports/net/libgnetwork/Makefile
  1.44      +1 -2      ports/net/linc/Makefile
  1.6       +1 -2      ports/net/online-desktop/Makefile
  1.27      +1 -2      ports/net/straw/Makefile
  1.80      +1 -2      ports/palm/gnome-pilot/Makefile
  1.54      +1 -2      ports/print/ggv/Makefile
  1.34      +1 -2      ports/print/gnome-cups-manager/Makefile
  1.71      +1 -2      ports/print/gnome-print/Makefile
  1.25      +1 -2      ports/print/libgnomecups/Makefile
  1.114     +1 -2      ports/print/libgnomeprint/Makefile
  1.13      +1 -2      ports/print/libgnomeprintmm/Makefile
  1.7       +1 -2      ports/security/gnome-gpg/Makefile
  1.15      +1 -2      ports/sysutils/battfink/Makefile
  1.17      +1 -2      ports/sysutils/brasero/Makefile
  1.57      +1 -1      ports/sysutils/gnome-control-center1/Makefile
  1.14      +1 -2      ports/sysutils/pessulus/Makefile
  1.33      +1 -2      ports/textproc/gnome-spell/Makefile
  1.28      +1 -2      ports/textproc/gtk-doc/Makefile
  1.19      +1 -2      ports/textproc/libcroco/Makefile
  1.39      +1 -2      ports/textproc/libxml++/Makefile
  1.58      +1 -2      ports/textproc/libxml/Makefile
  1.25      +1 -2      ports/textproc/meld/Makefile
  1.59      +1 -2      ports/textproc/scrollkeeper/Makefile
  1.18      +1 -2      ports/textproc/xml-i18n-tools/Makefile
  1.23      +1 -2      ports/www/evolution-webcal/Makefile
  1.19      +1 -2      ports/www/glibwww/Makefile
  1.25      +1 -2      ports/www/gnome-user-share/Makefile
  1.13      +1 -2      ports/www/gnome-web-photo/Makefile
  1.78      +1 -2      ports/www/gtkhtml/Makefile
  1.103     +1 -1      ports/www/gtkhtml3/Makefile
  1.99      +1 -1      ports/www/gtkhtml38/Makefile
  1.34      +1 -2      ports/www/libghttp/Makefile
  1.86      +1 -2      ports/www/libgtkhtml/Makefile
  1.24      +1 -2      ports/x11-fm/gnome-commander/Makefile
  1.12      +1 -1      ports/x11-fm/py-nautilus/Makefile
  1.18      +1 -1      ports/x11-fonts/bitstream-vera/Makefile
  1.9       +1 -1      ports/x11-themes/gnome-icons-aqua-fusion/Makefile
  1.9       +1 -1      ports/x11-themes/gnome-icons-gentoo-test/Makefile
  1.8       +1 -1      ports/x11-themes/gnome-icons-iris/Makefile
  1.10      +1 -1      ports/x11-themes/gnome-icons-noia-full/Makefile
  1.10      +1 -1      ports/x11-themes/gnome-icons-noia-warm/Makefile
  1.9       +1 -1      ports/x11-themes/gnome-icons-refined/Makefile
  1.9       +1 -1      ports/x11-themes/gnome-icons-slick/Makefile
  1.9       +1 -1      ports/x11-themes/gnome-icons-snow-apple/Makefile
  1.9       +1 -1      ports/x11-themes/gnome-icons-stylish/Makefile
  1.9       +1 -1      ports/x11-themes/gnome-icons-ximian-south/Makefile
  1.45      +1 -2      ports/x11-themes/gtk-engines/Makefile
  1.76      +1 -1      ports/x11-themes/gtk-engines2/Makefile
  1.58      +1 -2      ports/x11-toolkits/gal/Makefile
  1.78      +1 -1      ports/x11-toolkits/gal2/Makefile
  1.7       +1 -2      ports/x11-toolkits/gnome-sharp20/Makefile
  1.35      +1 -2      ports/x11-toolkits/gob/Makefile
  1.109     +1 -1      ports/x11-toolkits/gtk12/Makefile
  1.36      +1 -2      ports/x11-toolkits/gtkglarea2/Makefile
  1.54      +1 -2      ports/x11-toolkits/gtkmm12/Makefile
  1.87      +1 -1      ports/x11-toolkits/gtkmm20/Makefile
  1.43      +1 -2      ports/x11-toolkits/gtksourceview/Makefile
  1.10      +1 -1      ports/x11-toolkits/gtksourceview2/Makefile
  1.5       +1 -2      ports/x11-toolkits/hippo-canvas/Makefile
  1.64      +1 -2      ports/x11-toolkits/libbonoboui/Makefile
  1.19      +1 -2      ports/x11-toolkits/libbonobouimm/Makefile
  1.55      +1 -2      ports/x11-toolkits/libgnomeprintui/Makefile
  1.13      +1 -2      ports/x11-toolkits/libgnomeprintuimm/Makefile
  1.63      +1 -2      ports/x11-toolkits/libgnomeui/Makefile
  1.32      +1 -2      ports/x11-toolkits/libgnomeuimm26/Makefile
  1.22      +1 -2      ports/x11-toolkits/libpanelappletmm/Makefile
  1.37      +1 -2      ports/x11-toolkits/libzvt/Makefile
  1.2       +1 -2      ports/x11-toolkits/pangomm/Makefile
  1.13      +1 -1      ports/x11-toolkits/py-gnome-desktop/Makefile
  1.27      +1 -1      ports/x11-toolkits/py-gnome-extras/Makefile
  1.78      +1 -1      ports/x11-toolkits/py-gnome/Makefile
  1.100     +1 -1      ports/x11-toolkits/py-gnome2/Makefile
  1.74      +1 -2      ports/x11-toolkits/py-gtk/Makefile
  1.6       +1 -1      ports/x11-toolkits/py-gtksourceview/Makefile
  1.45      +1 -2      ports/x11-toolkits/rep-gtk/Makefile
  1.127     +1 -2      ports/x11/gnome-libs/Makefile
  1.22      +1 -2      ports/x11/libgnome-java/Makefile
  1.163     +1 -2      ports/x11/libgnome/Makefile
  1.31      +1 -2      ports/x11/libgnomemm26/Makefile
  1.26      +1 -2      ports/x11/startup-notification/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 araujo freebsd_committer 2009-02-02 01:37:49 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!